package chapter4.demo45;

/**
 * 圆形类
 * 必需实现 Shape 接口中的 getArea 和 getPerimeter 方法
 */
public class Circle implements Shape {
    // 半径
    private double radius = 0;
    private final static double PI = 3.14;

    // 有参构造
    public Circle(double radius) {
        this.radius = radius;
    }

    // 返回面积
    public double getArea() {
        return PI * radius * radius;
    }

    // 返回周长
    public double getPerimeter() {
        return 2 * PI * radius;
    }

}
